<?php
    defined("BASEPATH") or exit("No direct script access allow");

    class Location extends CI_Controller{
        public function __construct(){
            parent::__construct();
            $this->load->model("Location_model");
        }

        public function listing(){
            $request = $this->input->get();
            $data = $this->Location_model->listing($request);
            echo json_encode($this->Location_model->build_datatables($request['draw'],
            $this->Location_model->count(),$this->Location_model->count_filter($request), $data), JSON_UNESCAPED_UNICODE);
        }
    }
